package com.happy.dao;

import com.happy.Model.Booking;
import com.happy.Model.Booking;
import com.happy.dto.BookTypeEto;

import java.util.List;

public interface BookDao {

    /**
     * 描述：新增
     * @param book
     * @return
     */
    int insertBooking(Booking book);

    /**
     * 描述：修改
     * @param book
     * @return
     */
    int updateBooking(Booking book);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delBooking(int id);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    Booking getById(int id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    List<Booking> queryPage(String sqlx, int page, int rows, String orderDesc);


    /**
     * 描述：获取总条数
     * @param sqlx
     * @return
     */
    int queryTotal(String sqlx);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<Booking> queryList(String sqlx);

    /**
     * 描述：汇总查询金额
     * @param sqlx
     * @return
     */
    Double sumAccount(String sqlx);

    /**
     * 描述：查询订单类型汇总
     * @param sqlx
     * @return
     */
    BookTypeEto getBookStatusSum(String sqlx);

}
